%define	fontname	Inconsolata

%define fontdir		%{_datadir}/fonts/TTF/%{fontname}
%define fontconfdir	%{_sysconfdir}/X11/fontpath.d

Summary:		Inconsolata monospace font
Name:			fonts-ttf-%{fontname}
Version:		2.001
Release:		%mkrel 5
License:		OFL
Group:			System/Fonts/True type
URL:			https://www.levien.com/type/myfonts/inconsolata.html
# Source0 downloadable on google Font :
# https://fonts.google.com/specimen/Inconsolata?selection.family=Inconsolata
Source0:		Inconsolata.zip
Source2:		OFL-FAQ.txt
BuildArch:		noarch
BuildRequires:		ttmkfdir
BuildRequires:		fontconfig

%description
A monospace font designed by Ralph Levien for code listings and the like 
in print.

%prep
if [ -d %{name}-%{version} ]; then
	%__rm -rf %{name}-%{version}
fi
%__mkdir %{name}-%{version}

pushd %{name}-%{version}
	%__unzip -q %{SOURCE0}
	cp %{SOURCE2} .
popd

%install
%__install -m 0755 -d %{buildroot}%{fontdir}
%__install -m 0644 -p %{name}-%{version}/*.ttf %{buildroot}%{fontdir}
ttmkfdir %{buildroot}%{fontdir} > %{buildroot}%{fontdir}/fonts.dir
ln -s fonts.dir %{buildroot}%{fontdir}/fonts.scale

%__install -m 0755 -d %{buildroot}%{fontconfdir}
ln -s ../../../%{fontdir} %{buildroot}%{fontconfdir}/ttf-%{fontname}:pri=50

%files
%doc %{name}-%{version}/OFL*
%dir %{fontdir}
%{fontdir}/*.ttf
%{fontdir}/fonts.*
%{fontconfdir}/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.001-5.mga10
+ Revision: 2212638
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 2.001-4.mga9
+ Revision: 1833993
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Wed Feb 12 2020 umeabot <umeabot> 2.001-3.mga8
+ Revision: 1501387
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.001-2.mga7
+ Revision: 1278254
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 julien <julien> 2.001-1.mga7
+ Revision: 1135022
- new version 2.001 with a new bold typeface
- drop our license file in favor of upstream one
- use archive from upstream

* Fri Feb 05 2016 umeabot <umeabot> 1.010-6.mga6
+ Revision: 938711
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.010-5.mga5
+ Revision: 749510
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.010-4.mga5
+ Revision: 679258
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.010-3.mga4
+ Revision: 504513
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.010-2.mga3
+ Revision: 350659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 03 2011 julien <julien> 1.010-1.mga2
+ Revision: 117843
- small cleanup of spec
- imported package fonts-ttf-Inconsolata


* Tue May 17 2011 Funda Wang <fwang@mandriva.org> 1.010-5mdv2011.0
+ Revision: 675788
- add br
- use upstream generated file
- br fontconfig for fc-query used in new rpm-setup-build

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.010-4mdv2011.0
+ Revision: 610730
- rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.010-3mdv2010.1
+ Revision: 494142
- fc-cache is now called by an rpm filetrigger

* Wed May 06 2009 Lev Givon <lev@mandriva.org> 1.010-2mdv2010.0
+ Revision: 372617
- Fix font config path.

* Wed May 06 2009 Lev Givon <lev@mandriva.org> 1.010-1mdv2010.0
+ Revision: 372609
- imported package fonts-ttf-Inconsolata


